Bug 26201 - Remove the use of jquery.checkboxes plugin from batch extend due dates page
Summary: Remove the use of jquery.checkboxes plugin from batch extend due dates page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-08-13 12:33 UTC by Owen Leonard
Modified: 2020-09-10 03:42 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.04


Attachments
Bug 26201: Remove the use of jquery.checkboxes plugin from batch extend due dates page (3.54 KB, patch)
2020-08-13 12:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26201: Remove the use of jquery.checkboxes plugin from batch extend due dates page (3.59 KB, patch)
2020-08-17 16:11 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 26201: Remove the use of jquery.checkboxes plugin from batch extend due dates page (3.65 KB, patch)
2020-08-17 21:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-08-13 12:33:45 UTC
As described in Bug 26006 the jquery.checkboxes plugin is old and unmaintained. 

Its use should be replaced on the batch extend due dates page
Comment 1 Owen Leonard 2020-08-13 12:40:43 UTC
Created attachment 108175 [details] [review]
Bug 26201: Remove the use of jquery.checkboxes plugin from batch extend due dates page

This patch removes the use of the jquery.checkboxes plugin from the
batch extend due dates page.

Unrelated change: Removed 'enctype="multipart/form-data"' from the form
because there is no file upload.

To test, apply the patch and go to Tools -> Batch extend due dates.

 - Submit the form with parameters which will return a set of multiple
   checkouts.
 - On the results page, test the "Select all" and "Clear all" links to
   confirm that they work correctly.
Comment 2 Amit Gupta 2020-08-17 16:11:05 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2020-08-17 21:47:06 UTC
Created attachment 108419 [details] [review]
Bug 26201: Remove the use of jquery.checkboxes plugin from batch extend due dates page

This patch removes the use of the jquery.checkboxes plugin from the
batch extend due dates page.

Unrelated change: Removed 'enctype="multipart/form-data"' from the form
because there is no file upload.

To test, apply the patch and go to Tools -> Batch extend due dates.

 - Submit the form with parameters which will return a set of multiple
   checkouts.
 - On the results page, test the "Select all" and "Clear all" links to
   confirm that they work correctly.

Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-08-18 15:47:56 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-09-04 15:16:08 UTC
backported to 20.05.x for 20.05.04
Comment 6 Aleisha Amohia 2020-09-10 03:42:38 UTC
enhancement, not backported to 19.11.x